# Record Class CJ1StockSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1StockSearchParameters

All Implemented Interfaces:
  `CJ1ValueType`

@JsonClassDescription("Parameters to search for stock.") public record CJ1StockSearchParameters(CJ1LocationMatchType locationMatch, CJ1ComparisonExactType<UUID> itemMatch, Set<CJ1StockOccurrenceKind> includeOccurrences, CJ1IncludeDeleted includeDeleted, CJ1UnsignedLong pageSize) extends Record implements CJ1ValueType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1StockSearchParameters(CJ1LocationMatchType locationMatch, CJ1ComparisonExactType<UUID> itemMatch, Set<CJ1StockOccurrenceKind> includeOccurrences, CJ1IncludeDeleted includeDeleted, CJ1UnsignedLong pageSize)`
  Creates an instance of a `CJ1StockSearchParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CJ1IncludeDeleted`
  `includeDeleted()`
  Returns the value of the `includeDeleted` record component.
  `Set<CJ1StockOccurrenceKind>`
  `includeOccurrences()`
  Returns the value of the `includeOccurrences` record component.
  `CJ1ComparisonExactType<UUID>`
  `itemMatch()`
  Returns the value of the `itemMatch` record component.
  `CJ1LocationMatchType`
  `locationMatch()`
  Returns the value of the `locationMatch` record component.
  `CJ1UnsignedLong`
  `pageSize()`
  Returns the value of the `pageSize` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1StockSearchParameters

    public CJ1StockSearchParameters(@JsonPropertyDescription("Include stock with locations matching the given expression.") CJ1LocationMatchType locationMatch, @JsonPropertyDescription("Include stock with items matching the given expression.") CJ1ComparisonExactType<UUID> itemMatch, @JsonPropertyDescription("Include stock of the given occurrence kinds.") Set<CJ1StockOccurrenceKind> includeOccurrences, @JsonPropertyDescription("Include deleted stock.") CJ1IncludeDeleted includeDeleted, @JsonPropertyDescription("The maximum number of results per page.") CJ1UnsignedLong pageSize)
    Creates an instance of a `CJ1StockSearchParameters` record class.
    Parameters:
      `locationMatch` - the value for the `locationMatch` record component
      `itemMatch` - the value for the `itemMatch` record component
      `includeOccurrences` - the value for the `includeOccurrences` record component
      `includeDeleted` - the value for the `includeDeleted` record component
      `pageSize` - the value for the `pageSize` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### locationMatch

    @JsonPropertyDescription("Include stock with locations matching the given expression.") public CJ1LocationMatchType locationMatch()
    Returns the value of the `locationMatch` record component.
    Returns:
      the value of the `locationMatch` record component

  - ### itemMatch

    @JsonPropertyDescription("Include stock with items matching the given expression.") public CJ1ComparisonExactType<UUID> itemMatch()
    Returns the value of the `itemMatch` record component.
    Returns:
      the value of the `itemMatch` record component

  - ### includeOccurrences

    @JsonPropertyDescription("Include stock of the given occurrence kinds.") public Set<CJ1StockOccurrenceKind> includeOccurrences()
    Returns the value of the `includeOccurrences` record component.
    Returns:
      the value of the `includeOccurrences` record component

  - ### includeDeleted

    @JsonPropertyDescription("Include deleted stock.") public CJ1IncludeDeleted includeDeleted()
    Returns the value of the `includeDeleted` record component.
    Returns:
      the value of the `includeDeleted` record component

  - ### pageSize

    @JsonPropertyDescription("The maximum number of results per page.") public CJ1UnsignedLong pageSize()
    Returns the value of the `pageSize` record component.
    Returns:
      the value of the `pageSize` record component